/*
* Licensee agrees that the example code provided to Licensee has been developed and released by Bosch solely as an example to be used as a potential reference for application development by Licensee. 
* Fitness and suitability of the example code for any use within application developed by Licensee need to be verified by Licensee on its own authority by taking appropriate state of the art actions and measures (e.g. by means of quality assurance measures).
* Licensee shall be responsible for conducting the development of its applications as well as integration of parts of the example code into such applications, taking into account the state of the art of technology and any statutory regulations and provisions applicable for such applications. Compliance with the functional system requirements and testing there of (including validation of information/data security aspects and functional safety) and release shall be solely incumbent upon Licensee. 
* For the avoidance of doubt, Licensee shall be responsible and fully liable for the applications and any distribution of such applications into the market.
* 
* 
* Redistribution and use in source and binary forms, with or without 
* modification, are permitted provided that the following conditions are 
* met:
* 
*     (1) Redistributions of source code must retain the above copyright
*     notice, this list of conditions and the following disclaimer. 
* 
*     (2) Redistributions in binary form must reproduce the above copyright
*     notice, this list of conditions and the following disclaimer in
*     the documentation and/or other materials provided with the
*     distribution.  
*     
*     (3)The name of the author may not be used to
*     endorse or promote products derived from this software without
*     specific prior written permission.
* 
*  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
*  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
*  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
*  DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
*  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
*  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
*  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
*  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
*  STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
*  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
*  POSSIBILITY OF SUCH DAMAGE.
*/



/* header definition ******************************************************** */
#ifndef XDK110_ENTERPRISEWIFI_H_
#define XDK110_ENTERPRISEWIFI_H_

#include "BCDS_NetworkConfig.h"
#include "wlan.h"
#include "BCDS_WlanConnect.h"
/* local interface declaration ********************************************** */

/* local type and macro definitions */

#define TASK_PRIO_MAIN_CMD_PROCESSOR                (UINT32_C(1))
#define TASK_STACK_SIZE_MAIN_CMD_PROCESSOR          (UINT16_C(700))
#define TASK_Q_LEN_MAIN_CMD_PROCESSOR                (UINT32_C(10))

#warning Please enter WLAN configurations with valid SSID & WPA username and key in below Macros and remove this line to avoid warnings.

#define WLAN_ENT_SSID           "ssid"
#define WLAN_USERNAME           "user_name"
#define WLAN_ENT_PWD            "*******"

#define ENABLE_DHCP             true
/* Update static IP fields if DHCP is disabled, replace zero values */
#define IPV4                    NetworkConfig_Ipv4Value(0, 0, 0, 0)
#define IPV4_DNS_SERVER         NetworkConfig_Ipv4Value(0, 0, 0, 0)
#define IPV4_GATEWAY            NetworkConfig_Ipv4Value(0, 0, 0, 0)
#define IPV4_MASK               NetworkConfig_Ipv4Value(0, 0, 0, 0)

#define SEC_TYPE                0x05 //WLI_SECURITY_TYPE_WPA_ENT

#define WIFI_FAILED             INT32_C(-1)                 /**< Macro used to return failure message*/
#define WIFI_MAC_ADDR_LEN       UINT8_C(6)                  /**< Macro used to specify MAC address length*/

#define FILE_NAME               "/cert/ca.pem"

Retcode_T WlanConnect(WlanConnect_SSID_T connectSSID, WlanConnect_PassPhrase_T connectPass, WlanConnect_Callback_T connectCallback);

void appInitSystem(void * CmdProcessorHandle, uint32_t param2);

#endif /* XDK110_ENTERPRISEWIFI_H_ */

/** ************************************************************************* */
